Bug 40589 - (CCISS)cciss module hangs on smp enabled kernel
(CCISS)cciss module hangs on smp enabled kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 18:10 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-14 18:10:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
On the smp kernel bootup (stock and custom)
(a uniprocessor kernel will work fine)
The kernel freezes at 


Partition check: cciss/c0d0

How reproducible:
Always

Steps to Reproduce:
1.boot smp kernel
2.
3.
	

Actual Results:  The kernel freezes at 


Partition check: cciss/c0d0

Additional info:

My configuration is a Compaq ML-570 with 2 PIII 700MHZ, 1GB Ram
Compaq Smart Array 5300

If you need more information email me, or put the bug in feedback
mode.
Comment 1 Arjan van de Ven 2001-05-14 18:12:34 EDT
Could you try passing "noapic" to the lilo prompt for the smp kernel ?
Comment 2 Need Real Name 2001-05-15 10:05:45 EDT
Disabling apic allows the kernel to boot.
Do you think this is a bug with the cciss driver, the 5300 is blacklisted,
or is this a bug in the kernel's apic handling? 

Thanks,
Jason
Comment 3 Arjan van de Ven 2001-05-15 10:09:23 EDT
I've no idea which it is so far. Could you paste or attach the output of
"dmesg" and "lspci -vv" ?
That _might_ contain useful info for us.
Comment 4 Need Real Name 2001-05-15 10:24:15 EDT
Dmesg output
-----------------
Linux version 2.4.2-2smp (root@porky.devel.redhat.com) (gcc version 2.96 
20000731 (Red Hat Linux 7.1 2.96-79)) #1 SMP 

Sun Apr 8 20:21:34 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009f400 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000c00 @ 000000000009f400 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 000000003fefc000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000004000 @ 000000003fffc000 (ACPI data)
 BIOS-e820: 0000000000010000 @ 00000000fec00000 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000fee00000 (reserved)
 BIOS-e820: 0000000000080000 @ 00000000fff80000 (reserved)
 BIOS-e820: 0000000000000000 @ 0000000100000000 (usable)
127MB HIGHMEM available.
hm, page 00001000 reserved twice.
Scan SMP from c0000000 for 1024 bytes.
Scan SMP from c009fc00 for 1024 bytes.
Scan SMP from c00f0000 for 65536 bytes.
found SMP MP-table at 000f4fd0
hm, page 000f4000 reserved twice.
hm, page 000f5000 reserved twice.
hm, page 000f6000 reserved twice.
hm, page 000f3000 reserved twice.
hm, page 000f4000 reserved twice.
hm, page 000f5000 reserved twice.
On node 0 totalpages: 262140
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 225280 pages.
zone Normal has max 1024 cached pages.
zone(2): 32764 pages.
zone HighMem has max 255 cached pages.
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: COMPAQ   Product ID: PROLIANT     APIC at: 0xFEE00000
Processor #3 Pentium(tm) Pro APIC version 16
    Floating point unit present.
    Machine Exception supported.
    64 bit compare & exchange supported.
    Internal APIC present.
    SEP present.
    MTRR  present.
    PGE  present.
    MCA  present.
    CMOV  present.
    PAT  present.
    PSE  present.
    MMX  present.
    FXSR  present.
    XMM  present.
    Bootup CPU
Processor #2 Pentium(tm) Pro APIC version 16
    Floating point unit present.
    Machine Exception supported.
    64 bit compare & exchange supported.
    Internal APIC present.
    SEP present.
    MTRR  present.
    PGE  present.
    MCA  present.
    CMOV  present.
    PAT  present.
    PSE  present.
    MMX  present.
    FXSR  present.
    XMM  present.
Bus #0 is PCI   
Bus #2 is PCI   
Bus #7 is PCI   
Bus #15 is ISA   
I/O APIC #8 Version 17 at 0xFEC00000.
Int: type 0, pol 3, trig 3, bus 2, IRQ 18, APIC ID 8, APIC INT 10
Int: type 0, pol 3, trig 3, bus 2, IRQ 19, APIC ID 8, APIC INT 11
Int: type 0, pol 3, trig 3, bus 2, IRQ 1a, APIC ID 8, APIC INT 10
Int: type 0, pol 3, trig 3, bus 2, IRQ 1b, APIC ID 8, APIC INT 11
Int: type 0, pol 3, trig 3, bus 2, IRQ 20, APIC ID 8, APIC INT 12
Int: type 0, pol 3, trig 3, bus 2, IRQ 21, APIC ID 8, APIC INT 13
Int: type 0, pol 3, trig 3, bus 2, IRQ 22, APIC ID 8, APIC INT 12
Int: type 0, pol 3, trig 3, bus 2, IRQ 23, APIC ID 8, APIC INT 13
Int: type 0, pol 3, trig 3, bus 2, IRQ 24, APIC ID 8, APIC INT 14
Int: type 0, pol 3, trig 3, bus 2, IRQ 25, APIC ID 8, APIC INT 15
Int: type 0, pol 3, trig 3, bus 2, IRQ 26, APIC ID 8, APIC INT 14
Int: type 0, pol 3, trig 3, bus 2, IRQ 27, APIC ID 8, APIC INT 15
Int: type 0, pol 3, trig 3, bus 2, IRQ 14, APIC ID 8, APIC INT 1e
Int: type 0, pol 3, trig 3, bus 7, IRQ 14, APIC ID 8, APIC INT 1e
Int: type 0, pol 3, trig 3, bus 7, IRQ 18, APIC ID 8, APIC INT 16
Int: type 0, pol 3, trig 3, bus 7, IRQ 19, APIC ID 8, APIC INT 17
Int: type 0, pol 3, trig 3, bus 7, IRQ 1a, APIC ID 8, APIC INT 16
Int: type 0, pol 3, trig 3, bus 7, IRQ 1b, APIC ID 8, APIC INT 17
Int: type 0, pol 3, trig 3, bus 7, IRQ 1c, APIC ID 8, APIC INT 18
Int: type 0, pol 3, trig 3, bus 7, IRQ 1d, APIC ID 8, APIC INT 19
Int: type 0, pol 3, trig 3, bus 7, IRQ 1e, APIC ID 8, APIC INT 18
Int: type 0, pol 3, trig 3, bus 7, IRQ 1f, APIC ID 8, APIC INT 19
Int: type 0, pol 3, trig 3, bus 0, IRQ 1c, APIC ID 8, APIC INT 1a
Int: type 0, pol 3, trig 3, bus 0, IRQ 1d, APIC ID 8, APIC INT 1b
Int: type 0, pol 3, trig 3, bus 0, IRQ 1e, APIC ID 8, APIC INT 1a
Int: type 0, pol 3, trig 3, bus 0, IRQ 1f, APIC ID 8, APIC INT 1b
Int: type 0, pol 3, trig 3, bus 0, IRQ 10, APIC ID 8, APIC INT 1d
Int: type 0, pol 3, trig 3, bus 0, IRQ 11, APIC ID 8, APIC INT 1c
Int: type 0, pol 1, trig 1, bus 15, IRQ 01, APIC ID 8, APIC INT 01
Int: type 0, pol 1, trig 1, bus 15, IRQ 00, APIC ID 8, APIC INT 02
Int: type 0, pol 1, trig 1, bus 15, IRQ 04, APIC ID 8, APIC INT 04
Int: type 0, pol 1, trig 1, bus 15, IRQ 06, APIC ID 8, APIC INT 06
Int: type 0, pol 1, trig 1, bus 15, IRQ 07, APIC ID 8, APIC INT 07
Int: type 0, pol 1, trig 1, bus 15, IRQ 08, APIC ID 8, APIC INT 08
Int: type 0, pol 3, trig 3, bus 15, IRQ 09, APIC ID 8, APIC INT 09
Int: type 0, pol 1, trig 1, bus 15, IRQ 0c, APIC ID 8, APIC INT 0c
Int: type 0, pol 3, trig 3, bus 15, IRQ 0d, APIC ID 8, APIC INT 0d
Int: type 0, pol 1, trig 1, bus 15, IRQ 0e, APIC ID 8, APIC INT 0e
Lint: type 3, pol 0, trig 0, bus 15, IRQ 00, APIC ID ff, APIC LINT 00
Lint: type 1, pol 0, trig 0, bus 15, IRQ 00, APIC ID ff, APIC LINT 01
Int: type 3, pol 0, trig 0, bus 15, IRQ 00, APIC ID 8, APIC INT 00
Processors: 2
mapped APIC to ffffe000 (fee00000)
mapped IOAPIC to ffffd000 (fec00000)
hm, page 01000000 reserved twice.
Kernel command line: BOOT_IMAGE=linux ro root=6802 BOOT_FILE=/boot/vmlinuz-
2.4.2-2smp noapic
Initializing CPU#0
Detected 701.636 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1399.19 BogoMIPS
Memory: 1027812k/1048560k available (1500k kernel code, 20360k reserved, 103k 
data, 252k init, 131056k highmem)
Dentry-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Buffer-cache hash table entries: 65536 (order: 6, 262144 bytes)
Page-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 1024K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 1024K
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
CPU0: Intel Pentium III (Cascades) stepping 01
per-CPU timeslice cutoff: 2927.55 usecs.
Getting VERSION: 40011
Getting VERSION: 40011
Getting ID: 3000000
Getting ID: c000000
Getting LVT0: 700
Getting LVT1: 400
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
CPU present map: c
Booting processor 1/2 eip 3000
Setting warm reset code and vector.
1.
2.
3.
Asserting INIT.
Waiting for send to finish...
+Deasserting INIT.
Waiting for send to finish...
+#startup loops: 2.
Sending STARTUP #1.
After apic_write.
Initializing CPU#1
CPU#1 (phys ID: 2) waiting for CALLOUT
Startup point 1.
Waiting for send to finish...
+Sending STARTUP #2.
After apic_write.
Startup point 1.
Waiting for send to finish...
+After Startup.
Before Callout 1.
After Callout 1.
CALLIN, before setup_local_APIC().
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 1402.47 BogoMIPS
Stack at about c212dfb8
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 1024K
Intel machine check reporting enabled on CPU#1.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
OK.
CPU1: Intel Pentium III (Cascades) stepping 01
CPU has booted.
Before bogomips.
Total of 2 processors activated (2801.66 BogoMIPS).
Before bogocount - setting activated=1.
Boot done.
calibrating APIC timer ...
..... CPU clock speed is 701.5909 MHz.
..... host bus clock speed is 100.2272 MHz.
cpu: 0, clocks: 1002272, slice: 334090
CPU0<T0:1002272,T1:668176,D:6,S:334090,C:1002272>
cpu: 1, clocks: 1002272, slice: 334090
CPU1<T0:1002272,T1:334080,D:12,S:334090,C:1002272>
checking TSC synchronization across CPUs: passed.
Setting commenced=1, go go go
PCI: PCI BIOS revision 2.10 entry at 0xf0084, last bus=10
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Discovered peer bus 02
PCI: Discovered peer bus 07
PCI: Device 00:00 not found by BIOS
PCI: Device 00:01 not found by BIOS
PCI: Device 00:02 not found by BIOS
PCI: Device 00:03 not found by BIOS
PCI: Device 00:78 not found by BIOS
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS not found.
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 682496kB/551424kB, 2048 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ServerWorks OSB4: IDE controller on PCI bus 00 dev 79
ServerWorks OSB4: chipset revision 0
ServerWorks OSB4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x2c00-0x2c07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x2c08-0x2c0f, BIOS settings: hdc:pio, hdd:pio
hda: COMPAQ SC-140S, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 354k freed
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ 
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
sym53c8xx: at PCI bus 0, device 4, function 0
sym53c8xx: 53c1510D detected 
sym53c8xx: at PCI bus 0, device 4, function 1
sym53c8xx: 53c1510D detected 
sym53c1510D-0: rev 0x2 on pci bus 0 device 4 function 0 irq 10
sym53c1510D-0: ID 7, Fast-40, Parity Checking
sym53c1510D-0: on-chip RAM at 0xeb2d0000
sym53c1510D-0: restart (scsi reset).
sym53c1510D-0: Downloading SCSI SCRIPTS.
sym53c1510D-1: rev 0x2 on pci bus 0 device 4 function 1 irq 11
sym53c1510D-1: NCR clock is 40218KHz
sym53c1510D-1: ID 7, Fast-40, Parity Checking
sym53c1510D-1: on-chip RAM at 0xeb2b0000
sym53c1510D-1: restart (scsi reset).
sym53c1510D-1: Downloading SCSI SCRIPTS.
scsi0 : sym53c8xx - version 1.6b
scsi1 : sym53c8xx - version 1.6b
sym53c1510D-0-<6,0>: wide msgin: 1-2-3-1.
sym53c1510D-0-<6,0>: wide: wide=1 chg=0.
sym53c1510D-0-<6,0>: wide msgout: 1-2-3-1.
sym53c1510D-0-<6,0>: sync msg in: 1-3-1-19-f.
sym53c1510D-0-<6,0>: sync: per=25 scntl3=0x50 scntl4=0x0 ofs=15 fak=0 chg=0.
sym53c1510D-0-<6,*>: FAST-10 WIDE SCSI 20.0 MB/s (100 ns, offset 15)
sym53c1510D-0-<6,0>: sync msgout: 1-3-1-19-f.
  Vendor: COMPAQ    Model: DLT8000           Rev: 011A
  Type:   Sequential-Access                  ANSI SCSI revision: 02
cciss: Device b060 has been found at 7 38
Compaq CISS Driver (v 2.4.2)
Found 1 controller(s)
      blocks= 35561280 block_size= 512
      heads= 255, sectors= 32, cylinders= 4358

      blocks= 142253280 block_size= 512
      heads= 255, sectors= 32, cylinders= 17433

Partition check:
 cciss/c0d0: p1 p2 p3 < p5 p6 p7 p8 p9 p10 p11 >
 cciss/c0d1:
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=3
Trying to unmount old root ... okay
Freeing unused kernel memory: 252k freed
Adding Swap: 1024056k swap-space (priority -1)
st: bufsize 32768, wrt 30720, max init. buffers 4, s/g segs 16.
Attached scsi tape st0 at scsi0, channel 0, id 6, lun 0
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
parport0: PC-style at 0x378 [PCSPP,TRISTATE]
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
ip_conntrack (8191 buckets, 65528 max)
eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified by Andrey V. Savochkin 
<saw@saw.sw.com.sg> and others
eth0: OEM i82557/i82558 10/100 Ethernet, 00:50:8B:B3:C1:A1, I/O at 0x4000, IRQ 
3.
  Board assembly 726837-017, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
probable hardware bug: clock timer configuration lost - probably a VIA686a 
motherboard.
probable hardware bug: restoring chip configuration.
mtrr: no more MTRRs available
mtrr: no more MTRRs available
hda: ATAPI 40X CD-ROM drive, 128kB Cache, DMA
Uniform CD-ROM driver Revision: 3.12
probable hardware bug: clock timer configuration lost - probably a VIA686a 
motherboard.
probable hardware bug: restoring chip configuration.
mtrr: no more MTRRs available
mtrr: no more MTRRs available
mtrr: no more MTRRs available
mtrr: no more MTRRs available
Uniform CD-ROM driver unloaded

lspci -vv output
-----------------
00:00.0 Host bridge: ServerWorks CNB20HE (rev 21)
Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- 
SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-
 >SERR- <PERR-

00:00.1 Host bridge: ServerWorks CNB20HE (rev 01)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort+ >SERR- <PERR-
Latency: 64, cache line size 08

00:00.2 Host bridge: ServerWorks: Unknown device 0006
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort+ >SERR- <PERR-

00:00.3 Host bridge: ServerWorks: Unknown device 0006
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort+ >SERR- <PERR-

00:03.0 System peripheral: Compaq Computer Corporation Advanced System 
Management Controller
Subsystem: Compaq Computer Corporation: Unknown device b0f3
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 0
Region 0: I/O ports at 1800 [size=256]
Region 1: Memory at eb2f0000 (32-bit, non-prefetchable) [size=256]

00:04.0 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c1510 (rev 
02)
Subsystem: Compaq Computer Corporation: Unknown device b143
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 255 (7500ns min, 2000ns max), cache line size 08
Interrupt: pin A routed to IRQ 10
Region 0: I/O ports at 2000 [size=256]
Region 1: Memory at eb2e0000 (32-bit, non-prefetchable) [size=1K]
Region 2: Memory at eb2d0000 (32-bit, non-prefetchable) [size=4K]
Expansion ROM at <unassigned> [disabled] [size=16K]
Capabilities: [40] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:04.1 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c1510 (rev 
02)
Subsystem: Compaq Computer Corporation: Unknown device b143
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 255 (7500ns min, 2000ns max), cache line size 08
Interrupt: pin B routed to IRQ 11
Region 0: I/O ports at 2400 [size=256]
Region 1: Memory at eb2c0000 (32-bit, non-prefetchable) [size=1K]
Region 2: Memory at eb2b0000 (32-bit, non-prefetchable) [size=4K]
Expansion ROM at <unassigned> [disabled] [size=16K]
Capabilities: [40] Power Management version 2
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:05.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC 
[Mach64 GT IIC] (rev 7a) (prog-if 00 

[VGA])
Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ 
SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Region 0: Memory at e9000000 (32-bit, prefetchable) [disabled] [size=16M]
Region 1: I/O ports at 2800 [disabled] [size=256]
Region 2: Memory at eb2a0000 (32-bit, non-prefetchable) [disabled] [size=4K]
Expansion ROM at <unassigned> [disabled] [size=128K]
Capabilities: [5c] Power Management version 1
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:07.0 PCI bridge: Intel Corporation 80960RP [i960 RP Microprocessor/Bridge] 
(rev 05) (prog-if 00 [Normal decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR+
Latency: 64, cache line size 08
Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
I/O behind bridge: 00003000-00003fff
Memory behind bridge: eb300000-eb3fffff
Prefetchable memory behind bridge: ea000000-eaffffff
BridgeCtl: Parity+ SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-

00:07.1 Memory controller: Intel Corporation 80960RP [i960RP Microprocessor] 
(rev 05)
Subsystem: Compaq Computer Corporation: Unknown device c000
Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR+
Latency: 64, cache line size 08
Interrupt: pin A routed to IRQ 3
Region 0: Memory at e8fc0000 (32-bit, prefetchable) [size=256K]
Expansion ROM at <unassigned> [disabled] [size=64K]

00:0f.0 ISA bridge: ServerWorks OSB4 (rev 4f)
Subsystem: ServerWorks OSB4
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- 
SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 0

00:0f.1 IDE interface: ServerWorks: Unknown device 0211 (prog-if 8a [Master 
SecP PriP])
Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 64
Region 4: I/O ports at 2c00 [size=16]

01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC 
[Mach64 GT IIC] (rev 7a) (prog-if 00 

[VGA])
Subsystem: ATI Technologies Inc 3D Rage IIC 215IIC [Mach64 GT IIC]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ 
SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 64 (2000ns min), cache line size 08
Region 0: Memory at ea000000 (32-bit, prefetchable) [size=16M]
Region 1: I/O ports at 3000 [size=256]
Region 2: Memory at eb3f0000 (32-bit, non-prefetchable) [size=4K]
Expansion ROM at <unassigned> [disabled] [size=128K]
Capabilities: [5c] Power Management version 1
Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:05.0 PCI Hot-plug controller:Compaq Computer Corporation PCI Hotplug 
Controller (rev 12)
Subsystem: Compaq Computer Corporation: Unknown device a2f8
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 15
Region 0: Memory at f2df0000 (32-bit, non-prefetchable) [size=256]
Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
Address: 0000000000000000  Data: 0000

02:06.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
Subsystem: Compaq Computer Corporation NC3123 (82559)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 64 (2000ns min, 14000ns max), cache line size 08
Interrupt: pin A routed to IRQ 3
Region 0: Memory at f2de0000 (32-bit, non-prefetchable) [size=4K]
Region 1: I/O ports at 4000 [size=64]
Region 2: Memory at f2c00000 (32-bit, non-prefetchable) [size=1M]
Expansion ROM at <unassigned> [disabled] [size=1M]
Capabilities: [dc] Power Management version 2
Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
Status: D0 PME-Enable- DSel=0 DScale=2 PME-

07:05.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug 
Controller (rev 12)
Subsystem: Compaq Computer Corporation: Unknown device a2f9
Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 15
Region 0: Memory at f7ff0000 (32-bit, non-prefetchable) [size=256]
Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
Address: 0000000000000000  Data: 0000

07:07.0 RAID bus controller: Compaq Computer Corporation: Unknown device b060 
(rev 02)
Subsystem: Compaq Computer Corporation: Unknown device 4070
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- 
SERR+ FastB2B-
Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
Latency: 64, cache line size 08
Interrupt: pin A routed to IRQ 5
Region 0: Memory at f7f80000 (32-bit, non-prefetchable) [size=256K]
Region 1: Memory at f7e00000 (32-bit, non-prefetchable) [size=1M]
Region 4: I/O ports at 8000 [size=256]
Expansion ROM at <unassigned> [disabled] [size=1M]
Capabilities: [f0] Power Management version 2
Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Capabilities: [f8] Vital Product Data
Comment 5 Arjan van de Ven 2001-05-16 12:49:02 EDT
Ah Serverworks. We've had a report where enabling DMA on the IDE port of that
caused similar problems. You might get better systemperformance by just
disabling dma (by using "ide=nodma" instead of "noapic") instead.
Comment 6 Need Real Name 2001-05-16 14:34:40 EDT
The ide=nodma parameter does not prevent the lock from occuring,
so far just noapic works.

-Jason
Comment 7 Need Real Name 2001-05-22 10:25:50 EDT
Small correction. NOAPIC allows the kernel to boot. If APIC is on
it hangs.

-Jason
Comment 8 Need Real Name 2001-06-09 18:54:45 EDT
Moving to Redhat 7.0 (2.2 kernel) causes everything to work fine. I didnt notice
that cciss is assigned XT-PIC instead of APIC.

Here is a dump of /proc/interrupts
          CPU0       CPU1       
  0:  130640206          0          XT-PIC  timer
  1:          2          5    IO-APIC-edge  keyboard
  2:          0          0          XT-PIC  cascade
  5:     149899          0          XT-PIC  cciss0
  8:          0          1    IO-APIC-edge  rtc
 13:          1          0          XT-PIC  fpu
 14:         17         22    IO-APIC-edge  ide0
 15:    2522102          0          XT-PIC  eth0
 28:         15         15   IO-APIC-level  ncr53c8xx
 29:         18         17   IO-APIC-level  ncr53c8xx
NMI:          0
ERR:          0

Should this information be reported to the kernel dev list, and/or compaq?


Comment 9 Need Real Name 2001-07-04 15:45:10 EDT
Any update on this?
Comment 10 Bugzilla owner 2004-09-30 11:39:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.